Skip to main content
Domains2026.8.0

Synchronize domain with registry

Forces Openprovider to update the domain using the latest registry data.

PUT/api/v1/spaces/assets/domains/{domain}

The source export uses a local development server. Examples use the configured Dashio API origin.

The export references authentication schemes without supplying their definitions.

Authentication

bearerAuth

Understand authentication

Path parameters

domainstringRequired

Domain name in FQDN format

Query parameters

None declared in this export.

Header parameters

None declared in this export.

Request body

application/json · Required

force_registry_updatebooleanRequired

Allowed values: true.

Responses

200

Registry synchronization requested successfully.

synchronizedbooleanRequired

No field description supplied.

400

Invalid domain or request body.

No response body schema supplied.

401

Unauthenticated.

No response body schema supplied.

403

Domain is not accessible from this Space.

No response body schema supplied.

404

Domain not found.

No response body schema supplied.

422

Domain is not linked to the registry.

No response body schema supplied.

500

Failed to synchronize domain with registry.

No response body schema supplied.

Was this helpful?